Subject: single quotes

From: [email-masked]
Date: Mon, 25 Oct 1999 14:41:08 +0800 (CST)

I am using SWI-Prolog 3.2.8 for Windows.  According to Clocksin and
Mellish (1987):

	"If an atom is enclosed in single quotes "'", then the atom 
	may have any characters in its name." p. 22.

However, in the following statement for a finite state transducer:

	arc(0,1,'-'/a).

I get the following error message from SWI-Prolog:

	[WARNING: (d:/pl/bin/test.pl:1)
	        d:/pl/bin/test.pl:1: Syntax error: Operator expected]

If I change '-' to a simple atom, then there is no problem.  If I change the
arc statement to:

	arc(0,1,a/'-').

There there is no problem.  I do not find this problem with Sicstus Prolog.

What is going on here?

--Charles